//The research was supported by the project  GACR GA15-03564S

// RESULTS
// ========================================================================
cla
pr=0;     // print figures? (1=yes, 0=no) 
ip=3;     // number of figure

// prints
// simulated and estimated pointer vslues
if exists('q')
[xxx,r]=gsort(q,'g','i');
disp('Simulated transition table')
disp(als)
disp('Estimated transition table')
for i=1:nc
  if size(al(1),1)==1
  disp(al(i)(1,q))
  else
  disp(al(i)(q,q))
  end
end
disp('Sim. and est. parameters of components')
for i=1:nc
  disp([ths(i)'; Est(r(i)).th])
end
end

// evolution of the component centres
c1=['.:';'.:';'.:';'.:';'.:';'.:';'.:'];
c2=['r';'b';'g';'k';'m';'c';'y'];  

// 1 ------------------------------------------------------------
s=(nd-99):nd;
for i=1:nc
set(figure(10+i),'position',[100+50*i 60+50*i 500 350])
  title('Evolution of pointer probabilities','fontsize',5)
  plot(s,wt(i,s),'.:')
  set(gcf(),'background',8)
  xlabel('time','fontsize',5)
  ylabel('w('+string(i)+')','fontsize',5)
  set(gca(),'data_bounds',[min(s) max(s) -.05 1.05])
  if pr>0, xs2pdf(10+i,'Task1f1'+string(10*i+ip)), end
end

// 2 ------------------------------------------------------------
s=1:nd;
tht=[];
for i=1:nc
  tht=[tht Res(i).th];
end
ma=max(tht,'c'); mi=min(tht,'c');
set(figure(2),'position',[600 80 500 400])
set(gcf(),'background',8)
for i=1:nc
  plot(Res(i).th(1,2:$),Res(i).th(2,2:$),c1(i)+c2(i))
  plot(Res(i).th(1,$),Res(i).th(2,$),c2(i)+'o')
  plot(Res(i).th(1,1),Res(i).th(2,1),c2(i)+'x')
end
set(gca(),'data_bounds',[mi(1) ma(1) mi(2) ma(2)])
title('Evolution of component centers','fontsize',4)
xlabel('first variable','fontsize',4)
ylabel('second variable','fontsize',4)
if pr>0, xs2pdf(2,'Task1f2'+string(ip)), end

// 3 ------------------------------------------------------------
set(figure(31),'position',[700 100 500 400])
set(gcf(),'background',8)
dd=[yt ypt]';
mi=min(dd,'r'); ma=max(dd,'r');
plot(yt(1,s),yt(2,s),'bx')
set(gca(),'data_bounds',[mi(1)-1 ma(1)+1 mi(2)-1 ma(2)+1])
plot(ypt(1,s),ypt(2,s),'r.')
set(gca(),'data_bounds',[mi(1)-1 ma(1)+1 mi(2)-1 ma(2)+1])
title(string(np)+'-th steps predicted clusters','fontsize',4)
xlabel('first variable','fontsize',4)
ylabel('second variable','fontsize',4)
h=legend('data','predictions');
set(h,'background',8)
set(h,'font_color',-1)
if pr>0, xs2pdf(31,'Task1f3'+string(ip)), end

// 4 ------------------------------------------------------------
if exists('q')
set(figure(4),'position',[800 120 500 400])
set(gcf(),'background',8)
plot(s,ct(s),'o',s,Tct(s),'x')
set(gca(),'data_bounds',[min(s) max(s) .9 nc+.1])
title('Component '+string(np)+'-th steps prediction','fontsize',4)
xlabel('time','fontsize',4)
ylabel('pointer value','fontsize',4)
if pr>0, xs2pdf(4,'Task1f4'+string(ip)), end

ct=ct(:); Tct=Tct(:);
nw=sum(ct(s)~=Tct(s));
nall=max(size(s));
printf(' -- wrong %d from %d, i.e. %d percent wrong\n',nw,nall,100*nw/nall)
end
