//The research was supported by the project  GACR GA15-03564S

//// RESULTS
//// ========================================================================
cla
pr=0;     // yes or no (print figures)
ip=1;     // number of figure

// prints
disp('Simulated transition table')
disp(als)
disp('Estimated transition table')
for i=1:nc
  if size(al(1),1)==1
  disp(al(i)(1,q))
  else
  disp(al(i)(q,q))
  end
end
if tMix==1
disp('Sim. and est. parameters of components')
for i=1:nc
  disp([ths(pt(i))' Est(i).th]),disp(' ')
end
end

s1=(nd-99):nd;
wr=sum(ct(s1)~=q(Ect(s1)));
printf('\n Number of wrong is %d (from %d)\n',wr,length(s1))

// evolution of the component centres
c1=['.:';'.:';'.:';'.:';'.:';'.:';'.:'];
c2=['r';'b';'g';'k';'m';'c';'y'];  

// 1 ------------------------------------------------------------
if nd>200, nw=200; else nw=1; end
for i=1:nc
set(figure(10+i),'position',[500+10*i 60+10*i 500 500])
  //subplot(nc,1,i),
  plot(wt(i,:),'.:')
  set(gcf(),'background',8)
  title('Evolution of pointer probabilities','fontsize',4)
  xlabel('time','fontsize',4)
  ylabel('w('+string(i)+')','fontsize',4)
  if pr>0, xs2pdf(10+i,'Task3f1_'+string(i)+'_'+string(ip)), end
end

// 2 ------------------------------------------------------------
s=1:nd;
if tMix~=3
set(scf(2),'position',[600 80 500 500])
for i=1:nc
  plot(Res(i).th(1,:),Res(i).th(2,:),c1(i)+c2(i))
  plot(Res(i).th(1,$),Res(i).th(2,$),c2(i)+'o')
  plot(Res(i).th(1,1),Res(i).th(2,1),c2(i)+'x')
end
set(gca(),'data_bounds',[-.1 1.1 -.1 1.1])
title('Evolution of component centers','fontsize',4)
xlabel('first variable','fontsize',4)
ylabel('second variable','fontsize',4)
if pr>0, xs2pdf(2,'Task3f2'+string(ip)), end
end

// 3 ------------------------------------------------------------
set(scf(31),'position',[700 100 500 500])
dd=[yt ypt]';
mi=min(dd,'r'); ma=max(dd,'r');
plot(yt(1,s),yt(2,s),'b.')
set(gca(),'data_bounds',[mi(1)-1 ma(1)+1 mi(2)-1 ma(2)+1])
plot(ypt(1,s),ypt(2,s),'r.')
set(gca(),'data_bounds',[mi(1)-1 ma(1)+1 mi(2)-1 ma(2)+1])
title(string(np)+'-th steps predicted clusters','fontsize',4)
xlabel('first variable','fontsize',4)
ylabel('second variable','fontsize',4)
h=legend('data','predictions');
set(h,'background',8)
set(h,'foreground',8)
set(h,'font_color',-1)
if pr>0, xs2pdf(31,'Task3f3'+string(ip)), end

// 4 ------------------------------------------------------------
s1=(nd-99):nd;
set(scf(4),'position',[800 120 500 500])
set(gca(),'data_bounds',[min(s1) max(s1) .9 nc+.1])
plot(s1,ct(s1),'x',s1,q(Ect(s1)),'.')
title('Component '+string(np)+'-th steps prediction','fontsize',4)
xlabel('time','fontsize',4)
ylabel('pointer value','fontsize',4)
if pr>0, xs2pdf(4,'Task3f4'+string(ip)), end
