//The research was supported by the project  GACR GA15-03564S

// RESULTS
// ========================================================================
cla
pr=0;     // print figures? (1=yes, 0=no) 
ip=3;     // number of figure

// prints
// simulated and estimated pointer vslues
if exists('q')
[xxx,r]=gsort(q,'g','i');
disp('Simulated transition table')
disp(als)
disp('Estimated transition table')
disp(al)
disp('Sim. and est. parameters of components')
for i=1:nc
  disp([ths(i); Est(r(i)).th])
end
end

// evolution of the component centres
c1=['.:';'.:';'.:';'.:';'.:';'.:';'.:'];
c2=['r';'b';'g';'k';'m';'c';'y'];  

// 1 ------------------------------------------------------------
s=(nd-99):nd;
for i=1:nc
set(figure(10+i),'position',[100+50*i 60+50*i 500 350])
  title('Evolution of pointer probabilities','fontsize',5)
  plot(s,wt(i,s),'.:')
  set(gcf(),'background',8)
  xlabel('time','fontsize',5)
  ylabel('w('+string(i)+')','fontsize',5)
  set(gca(),'data_bounds',[min(s) max(s) -.05 1.05])
  if pr>0, xs2pdf(10+i,'Task5f1'+string(10*i+ip)), end
end

// 2 ------------------------------------------------------------
s=1:nd;
tht=[];
for i=1:nc
  tht=[tht Res(i).th];
end
ma=max(tht,'c'); mi=min(tht,'c');
set(figure(2),'position',[600 80 500 400])
set(gcf(),'background',8)
for i=1:nc
  plot(Res(i).th(1,2:$),Res(i).th(2,2:$),c1(i)+c2(i))
  plot(Res(i).th(1,$),Res(i).th(2,$),c2(i)+'o')
  plot(Res(i).th(1,1),Res(i).th(2,1),c2(i)+'x')
end
set(gca(),'data_bounds',[mi(1) ma(1) mi(2) ma(2)])
title('Evolution of component centers','fontsize',4)
xlabel('first variable','fontsize',4)
ylabel('second variable','fontsize',4)
if pr>0, xs2pdf(2,'Task5f2'+string(ip)), end

// 3 ------------------------------------------------------------
if exists('q')
set(figure(4),'position',[800 120 500 400])
set(gcf(),'background',8)
plot(s,ct(s),'o',s,Tct(s),'x')
set(gca(),'data_bounds',[min(s) max(s) .9 nc+.1])
title('Component '+string(np)+'-th steps prediction','fontsize',4)
xlabel('time','fontsize',4)
ylabel('pointer value','fontsize',4)
if pr>0, xs2pdf(4,'Task5f4'+string(ip)), end

ct=ct(:); Tct=Tct(:);
nw=sum(ct(s)~=Tct(s));
nall=max(size(s));
printf(' -- wrong %d from %d, i.e. %d percent wrong\n',nw,nall,100*nw/nall)
end

// 4 ------------------------------------------------------------
thI=list(); th=list();
for i=1:nc
  th(i)=Est(i).th;
  thI(i)=Est(i).thI;
end
set(scf(),'position',[600 100 800 600])
plot(yt(1,:),yt(2,:),'c.')
unifplot(th)
unifplot(thI,'.:r')
title('Results of estimation   (red - initial gues)','fontsize',4)
xlabel('variable 1','fontsize',4)
ylabel('variable 2','fontsize',4)
legend('data','estimation');
