//The research was supported by the project  GACR GA15-03564S

function [p,Lp]=ExpA(y,d,A)
  // [p,Lp]=ExpN(y,d,A)   value of exponential pdf  (1/d)exp(-y/d)

  // p       probability
  // Lp      logarithm of prob.
  // y       realization
  // d       expectation
  // A       delay

  y=y(:);           // column vector
  d=d(:);           // column vector
  ny=length(y);

  Lp=1e-8;
  for i=1:ny
    if y(i)>=A(i)
      ep=-log(d(i))-(y(i)-A(i))/d(i);
    else
      ep=-1e80;
    end
    Lp=Lp+ep;
  end

  p=exp(Lp);
endfunction
