//The research was supported by the project  GACR GA15-03564S

function [Est,ka]=initReg(yi)
  // [Est,ka]=initReg(yi)   init. of mixture estimation with 
  //                        static 2-dim. regression components
  //                        and dynamic pointer model
  // Est     vector of structures documenting estimation of components
  // ka      vector of data counters
  // yi      init. data (with known pointer)
  //
  
  nc=max(yi(3,:));
  ni=size(yi,2);
  for i=1:nc
    Est(i).V=zeros(3,3);     // inf matrix for 2dim static component
    ka(i)=0;
    for t=find(yi(3,:)==i)
      Ps=[yi(1:2,t); 1];
      Est(i).V=Est(i).V+Ps*Ps';
      ka(i)=ka(i)+1;
    end
    [Est(i).th,Est(i).cv]=v2thN(Est(i).V/ka(i),2);
    
    Est(i).thI=Est(i).th;
    Est(i).cvI=Est(i).cv;
    Est(i).Vi=Est(i).V;
  end
endfunction
