//The research was supported by the project  GACR GA15-03564S

function mp=predReg(nc,y,Est)
  // mp=predReg(nc,y,theta,covar)  data predic. from reg. components 
  // mp      data proximities to components
  // nc      number of comoponents
  // y       data item
  // theta   model regression coefficients
  // covar   model covariance matrices

  mc=zeros(nc,1);
  for i=1:nc                                         
    // proximities of current data y from individual components
    // (from numerical reasons, logarithms are computed, pre-normalized,
    //  returned applying exponential and normalized to probabilities)
    [xxx mc(i)]=GaussN(y,Est(i).th,Est(i).cv);        
          // logarithmic "proximities" of data
  end                                                
  mcc=mc-max(mc);                         // pre-normalization    
  mp=exp(mcc);                            // taking exponentials  
  if sum(abs(mp))<1e-8                                
    mp=ones(nc,1);                        // take uniform distr. in need 
  end                                                
  mp=mp/sum(mp);                          // normaliz. to probs
endfunction
