//The research was supported by the project  GACR GA15-03564S

function T = tab(x,y,b)
  // T=table(x,y,b)   contingency table T(b(1),b(2)
  // x,y       data
  // b         no. of values of each variable
  //             either present in the samples
  //             or possible values 
  //             (they all do not need to be included
  //             in the samples)

  nx = length(x);
  ny = length(y);
  kx = max(x);
  ky = max(y);
  if argn(2)<3, b(1)=kx; b(2)=ky; end
  nn = min([nx, ny]);
  T = zeros(b(1),b(2));
  for t = 1:nn,
    T(x(t), y(t)) = T(x(t), y(t)) + 1;
  end
endfunction
