//The research was supported by the project  GACR GA15-03564S

function [Est,yp,ka]=updtExp(w,y,Est,ka,fi,wy,A)
  // [Est,yp,ka]=updtExp(w,y,Est,ka,fi,wy,A) update of exp. statistics
  // Est     estimation structure
  // yp      data prediction
  // V,ka    component statistics
  // w       actual component weights
  // y       data item
  // wy      factor of exponential forgetting
  // A       shift in exponent

  ny=max(size(y));
  nc=max(size(w));                           // number of components      
  yp=zeros(ny,1);
  
  // update of statistics for components 
  for c=1:nc
    ka(c)=ka(c)+w(c);                        // update of the counter 
    Est(c).V=fi*Est(c).V+w(c)*y;             // update of information matrix 
    Est(c).th=Est(c).V/ka(c)-A(c);           // point estimates  

    yp=yp+wy(c)*(A(c)-log(rand(ny,1,'u')).*Est(c).th);  // mix. data pred.
  end
endfunction
