//The research was supported by the project  GACR GA15-03564S

function [xx,Rx,yp]=updtSta(w,KF)
  // [xx,Rx,yp]=updtSta(fc,xi,Ri,yi)  composition of Kalman filters
  // xx      mixture state estimate
  // Rx      mixture covariance estimate
  // yp      mixture data prediction
  // w       actual covariance weights
  // KF      structure of results from KFilt

  n=max(size(KF));            // number of components
  distKL=0;    // distKL=1 using KL else geometrical w average
  if distKL
    sx=0;
    s1=0;
    s2=0;
    // state estimate
    for i=1:n
      sx=sx+w(i)*KF(i).xt;    // computation of mixture state
    end
    xx=sx;
    // covariance matrix estimate
    for i=1:n
      s1=s1+w(i)*(xx-KF(i).xt)*(xx-KF(i).xt)'; // mix. cov.matrix
      s2=s2+w(i)*KF(i).Rx;                     // KL of N-pdfs
    end
    pointEstRx=1;
    if pointEstRx==0, Rx=s1+s2; else
      [xxx im]=max(w);
      Rx=KF(im).Rx;
    end
  else
    [xx,Rx]=connect(w,KF);
  end
  // prediction computation
  yp=0;
  for i=1:n
    yp=yp+w(i)*KF(i).yp; // computation of mixture prediction
  end
endfunction
