//The research was supported by the project  GACR GA15-03564S

function [Est,yp,ka]=updtUni(w,y,Est,ka,wy,f1,f2,n0)
  // [Est,yp,ka]=updtUni(w,y,Est,ka,wy) update of uniform statistics
  // Est     estimation structure
  // yp      data prediction
  // V,ka    component statistics
  // w       actual component weights
  // y       data item
  // wy      factor of exponential forgetting
  // f1      proportion for increasing window
  // f2      proportion for decreasing window (forgetting)
  // n0      time lag before forgetting

  ny=length(y);  
  yp=zeros(ny,1);
  th=Est.th;
  iL=ones(ny,nc); iR=ones(ny,nc);
  nL=n0; nR=n0; 

  // on-line estimation - přepočet statistik
  for j=1:nc
    for i=1:ny
      yL=y(i)-th(j)(i,1);
      if yL<=0, 
        th(j)(i,1)=th(j)(i,1)+w(j)*yL*f1;
        iL(i,j)=1;        
      else  
        iL(i,j)=iL(i,j)+1;
        if iL(i,j)>nL, th(j)(i,1)=th(j)(i,1)+w(j)*yL*f2; end
      end
      yR=y(i)-th(j)(i,2);
      if yR>=0, 
        th(j)(i,2)=th(j)(i,2)+w(j)*yR*f1;
        iR(i,j)=1;
      else
        iR(i,j)=iR(i,j)+1;
        if iR(i,j)>nR, th(j)(i,2)=th(j)(i,2)+w(j)*yR*f2; end
      end
    end

    Up=th(j)(:,2); 
    Lp=th(j)(:,1);
    Est(j).th=th(j);

    yp=yp+wy(j)*((Up-Lp).*rand(ny,1,'u')+Lp);
  end
endfunction
